Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 15 Oct 2018, 05:02
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Gambas 2 v1.9.49 pet
Moderators: deshlab, Flash, GuestToo, Ian, JohnMurga, Lobster
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 2 [20 Posts]   Goto page: 1, 2 Next
Author Message
2byte

Joined: 09 Oct 2006
Posts: 357

PostPosted: Fri 14 Sep 2007, 19:48    Post subject:  Gambas 2 v1.9.49 pet
Subject description: Beta version of Gambas2. For testing.
 

Gambas is a free development environment based on a Basic interpreter with object extensions, a bit like Visual Basic. Gambas2 is much improved. This version can create GTK+ applications!

Gambas2 1.9.49 is a beta development release. This PET package is a full install including help and example files. It includes a menu entry (.desktop file) and registers with PETget so it can be un-installed too. It's a beta, some things are incomplete.

Download http://www.megaupload.com/?d=P6U4B13R

Package requirements:
GLIBC-2.4 (Backup your system before installing this. You've been warned.)
QT >=3.3.5 which can be installed from the Puppy package manager, the listing is 'qt-3.3.6: libraries needed by scribus etc.' You may see missing dependencies for SDL, Curl, KDE, MySQL, and PostgreSQL if you don't have these installed but Gambas will work without them. You won't be able to use features related to the missing applications.

More info: http://gambas.sourceforge.net/
Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13647
Location: Karlsruhe, Germany

PostPosted: Sat 15 Sep 2007, 02:13    Post subject:  

mirror:
http://dotpups.de/dotpups/Programming/gambas2-1.9.49.pet

Homepage: http://gambas.sourceforge.net/

Mark

Last edited by MU on Thu 29 May 2008, 17:38; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
giac_fab

Joined: 25 Jan 2007
Posts: 114

PostPosted: Sat 24 Nov 2007, 17:14    Post subject:  

Hi

I did some little apps.

I can use them (I made the executables) , but only if I have gambas installed.

I tried to make an package by menu but I need or DEBHELPER or TAR 1.13. I did not find DEBHELPER through internet , I found TAR 1.13 but I wasn't able to compile it.

How to ?????

_________________
Embarassed I know, my english is very bad Embarassed
Give a man a fish and he eats for a day, teach a man to fish and he eats for a lifetime.
Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13647
Location: Karlsruhe, Germany

PostPosted: Sat 24 Nov 2007, 17:40    Post subject:  

which Puppy?
Puppy 3 has tar 1.15, so that should work.

Please type
tar --version

If you have an older, I can attach the new.
Mark
Back to top
View user's profile Send private message Visit poster's website 
giac_fab

Joined: 25 Jan 2007
Posts: 114

PostPosted: Sun 25 Nov 2007, 06:57    Post subject:  

sh-3.00# tar --version
tar (GNU tar) 1.15.1
sh-3.00#

I'm using puppy 3.01

The problem is show in snapshot .....

I must choose one ....
gambas.jpg
 Description   
 Filesize   50.11 KB
 Viewed   2405 Time(s)

gambas.jpg


_________________
Embarassed I know, my english is very bad Embarassed
Give a man a fish and he eats for a day, teach a man to fish and he eats for a lifetime.
Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13647
Location: Karlsruhe, Germany

PostPosted: Sun 25 Nov 2007, 22:29    Post subject:  

I found an rpm-package, and attach it.

Extract to /root

Then in a console type:

export PATH=/root/tar113:$PATH
/usr/whereever/yourprogram

The second line must use the name of your program of course.

Mark
tar113.tar.gz
Description 
gz

 Download 
Filename  tar113.tar.gz 
Filesize  66.66 KB 
Downloaded  1029 Time(s) 
Back to top
View user's profile Send private message Visit poster's website 
giac_fab

Joined: 25 Jan 2007
Posts: 114

PostPosted: Tue 27 Nov 2007, 18:47    Post subject:  

I tried with EXPORT .... by console and also by script , Both didn't work .

BUT

With a simple symlink to tar ( the default one ) named tar-1.13 it's ok now Embarassed Embarassed Embarassed

Excuse me, I thought about this too late......

_________________
Embarassed I know, my english is very bad Embarassed
Give a man a fish and he eats for a day, teach a man to fish and he eats for a lifetime.
Back to top
View user's profile Send private message 
giac_fab

Joined: 25 Jan 2007
Posts: 114

PostPosted: Tue 25 Mar 2008, 11:32    Post subject:  

Hi

Often new releases of gambas comes out ..... I tried to compile them myself but I'm not able to do it ....



If I try ./configure an error shows up .... In the past I already compiled some little thing but I can't understand errors ...

Can you post a little HOW-TO ???

THANKS

_________________
Embarassed I know, my english is very bad Embarassed
Give a man a fish and he eats for a day, teach a man to fish and he eats for a lifetime.
Back to top
View user's profile Send private message 
dreama

Joined: 29 Jan 2009
Posts: 1

PostPosted: Thu 29 Jan 2009, 16:01    Post subject: Gambas  

Please can anybody make a new Gambas pet package for Puppy 4.x

This would be very great. Or any kind of manual of howto do?

Thanks
Back to top
View user's profile Send private message 
gposil


Joined: 06 Apr 2009
Posts: 1305
Location: Stanthorpe (The Granite Belt), QLD, Australia

PostPosted: Fri 22 May 2009, 01:58    Post subject:  

Latest version of Gambas2 compiled on 4.1.2 is here.

http://www.gposil.com/pets/gambas2-2.7.1.pet

Enjoy.. Smile

_________________
Dpup Home
Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15239
Location: Paradox Realm

PostPosted: Fri 22 May 2009, 02:42    Post subject:  

got this whilst trying to run on Puppy 4.2.1 rc3 Sad

Code:
# gambas2
gbr2: error while loading shared libraries: libffi.so.5: cannot open shared object file: No such file or directory
#

_________________
YinYana AI Buddhism
Back to top
View user's profile Send private message Visit poster's website 
gposil


Joined: 06 Apr 2009
Posts: 1305
Location: Stanthorpe (The Granite Belt), QLD, Australia

PostPosted: Fri 22 May 2009, 03:01    Post subject:  

Lobster

You can get that here http://www.gposil.com/libs/libffi5_3.0.7-1_i386.pet.
I haven't tested on 4.2+.

oh BTW you'll need this it's not in 4.2 http://www.gposil.com/libs/xdg-utils_1.0.2.6.1.pet

.A little heads up...when you package your Gambas app use the Slackware packager as you only have to remove the "install" directory and you can convert to pet directly... if you are giving to someone who doesn't have Gambas installed also package the runtime...http://www.gposil.com/pets/gambas2-runtime_2.7-1_i386.pet

_________________
Dpup Home
Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15239
Location: Paradox Realm

PostPosted: Fri 22 May 2009, 04:12    Post subject:  

many thanks
now getting:

Code:
ERROR: ld.so: object 'libqt-mt.so.3' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: #27: Cannot load component '/usr/lib/gambas2/gb.qt.so': libqt-mt.so.3: cannot open shared object file: No such file or directory
Script completed hit RETURN to close window.


should not be much of a difference between 4.12 and 4.2
Maybe others have Gambas working OK? Smile

_________________
YinYana AI Buddhism
Back to top
View user's profile Send private message Visit poster's website 
gposil


Joined: 06 Apr 2009
Posts: 1305
Location: Stanthorpe (The Granite Belt), QLD, Australia

PostPosted: Fri 22 May 2009, 04:18    Post subject:  

I forgot not everyone has qt3 installed, it is in puppy 3 repository. I have also assumed devx install.

In fact what I should do is fire up 4.2 and look at the dependencies.... Smile

_________________
Dpup Home
Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
gposil


Joined: 06 Apr 2009
Posts: 1305
Location: Stanthorpe (The Granite Belt), QLD, Australia

PostPosted: Fri 22 May 2009, 06:06    Post subject:  

Here it is with all 4.2 depends included (except rpm of course disregard install depends).

http://www.gposil.com/pets/gambas2-2.7.1.pet

.BTW... you don't need devx
.

_________________
Dpup Home
Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
Display posts from previous:   Sort by:   
Page 1 of 2 [20 Posts]   Goto page: 1, 2 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1315s ][ Queries: 13 (0.0298s) ][ GZIP on ]